package admin

import (
	"context"
	"github.com/go-nunu/nunu-layout-advanced/internal/model"
	"github.com/go-nunu/nunu-layout-advanced/internal/repository"
)

type UserRepository interface {
	GetUser(ctx context.Context, id int64) (*model.User, error)
}

func NewUserRepository(
	repository *repository.Repository,
) UserRepository {
	return &userRepository{
		Repository: repository,
	}
}

type userRepository struct {
	*repository.Repository
}

func (r *userRepository) GetUser(ctx context.Context, id int64) (*model.User, error) {
	var user model.User

	return &user, nil
}